Package org.gradle.language.scala

# Interface ScalaPlatform

All Superinterfaces:
  `Named`, `Platform`

@Incubating public interface ScalaPlatform extends Platform
Defines and configures a Scala Platform.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getScalaCompatibilityVersion()`
`String`
`getScalaVersion()`

### Methods inherited from interface org.gradle.platform.base.Platform

`getDisplayName, getName`

## Method Details

### getScalaVersion

@Input String getScalaVersion()

### getScalaCompatibilityVersion

@Input String getScalaCompatibilityVersion()